package com.adc.da.system.service;


import com.adc.da.system.entity.CheckModelSeriesListResult;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;


import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-03-05
 */
public interface ICheckModelSeriesListResultService extends IService<CheckModelSeriesListResult> {

    /**
     *
     * @param page
     * @param checkModelSeriesListResult
     * @return
     */
    IPage<CheckModelSeriesListResult> getByPage(Page page, CheckModelSeriesListResult checkModelSeriesListResult);

    /**
     *
     * @param baseIdList
     * @return
     */
    List<CheckModelSeriesListResult> getList(List<String> baseIdList);

    /**
     *
     * @param baseIdList
     * @return
     */
    List<CheckModelSeriesListResult> getModelList(List<String> baseIdList);

    /**
     *
     * @param id
     * @param vehicleSeriesId
     * @param vehicleType
     * @param carOperator
     * @return
     */
    Boolean appoint(String id, String vehicleSeriesId, String vehicleType, String carOperator, String editionCode, String base);
}
