package com.adc.da.system.service;


import com.adc.da.dto.reqDTO.VehicleDatabaseDetaDTO;
import com.adc.da.system.entity.CheckCerAndDetail;
import com.adc.da.system.entity.VehicleDatabase;
import com.adc.da.system.entity.VehicleDatabaseDetails;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


public interface IVehicleDatabaseService extends IService<VehicleDatabase> {

    /**
     * 分页检索
     * @param page
     * @param vehicleDatabase
     * @return
     */
    IPage<VehicleDatabase> queryByPage(Page page, VehicleDatabase vehicleDatabase);

    /**
     * 查询不符合零部件分页
     * @param vehicleDatabaseDetails
     * @return
     */
    IPage<CheckCerAndDetail> queryVehicleDatabaseDetailsPage(Page page, VehicleDatabaseDetails vehicleDatabaseDetails);

    List<VehicleDatabaseDetaDTO> queryVehicleDatabaseDetails(VehicleDatabaseDetails vehicleDatabaseDetails);
}
