package com.adc.da.system.service.impl;


import com.adc.da.system.dao.CheckObdOrgMapper;
import com.adc.da.system.entity.CheckObdOrg;
import com.adc.da.system.service.ICheckObdOrgService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-04-08
 */
@Service
public class CheckObdOrgServiceImpl extends ServiceImpl<CheckObdOrgMapper, CheckObdOrg> implements ICheckObdOrgService {

    @Override
    public Integer insertObdOrg(List<CheckObdOrg> list) {
        this.saveBatch(list);
        return 1;
    }

    public List<String> getBaseNameByOrgIds(List<String> baseIds) {
        List<String> baseName =   baseMapper.getBaseNameByOrgIds(baseIds);
        return (baseName != null && !baseName.isEmpty())? baseName:new ArrayList<>();
    }
}
